--- bsd.port.mk.orig	Mon Jan 12 15:26:23 2004
+++ bsd.port.mk	Wed Jan 14 12:59:35 2004
@@ -3094,15 +3094,25 @@
 .endfor
 	@if [ -s ${WRKDIR}/.CONFLICTS ]; then \
 		found=`cat ${WRKDIR}/.CONFLICTS | ${SED} -e s'|${PKG_DBDIR}/||g' | tr '\012' ' '`; \
-		${ECHO_MSG} "===>  ${PKGNAME} conflicts with installed package(s): "; \
-		for entry in $$found; do \
-			${ECHO_MSG} "      $$entry"; \
+		conflicting=0; \
+		for entry in $${found}; do \
+		prfx=`${PKG_INFO} -q -p $${entry} 2> /dev/null | ${HEAD} -n 1 | ${SED} -ne '1s|^@cwd ||p'`; \
+		if [ "x${PREFIX}" = "x$${prfx}" ]; then \
+			conflicting=1;\
+			conflicts_with="$${conflicts_with} $${entry}";\
+		fi;\
 		done; \
 		${ECHO_MSG}; \
+		if [ "x$${conflicting}" = "x1" ] ; then \
+		${ECHO_MSG} "===>  ${PKGNAME} conflicts with installed package(s): "; \
+		for entry in $${conflicts_with} ; do \
+			${ECHO_MSG} "      $${entry}";\
+		done;\
 		${ECHO_MSG} "      They install files into the same place."; \
 		${ECHO_MSG} "      Please remove them first with pkg_delete(1)."; \
 		${RM} -f ${WRKDIR}/.CONFLICTS; \
 		exit 1; \
+		fi ;\
 	fi
 .endif  # CONFLICTS
 .endif
